//+------------------------------------------------------------------+
//|                                                          RSI.mq4 |
//|                      Copyright  2004, MetaQuotes Software Corp. |
//|                                       http://www.metaquotes.net/ |
//+------------------------------------------------------------------+
#property copyright "Copyright  2004, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net/"

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 DodgerBlue

//---- input parameters
extern int method_price=0;
extern int per_dop_ma=144;
extern int method_dop_ma=0;
//----
//---- buffers
double Buffer[];
double SignalBuffer[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- 2 additional buffers are used for counting.
   IndicatorBuffers(2);
   SetIndexBuffer(0,Buffer);
   SetIndexBuffer(1,SignalBuffer);
//---- indicator line
   SetIndexStyle(0,DRAW_LINE);
   SetIndexStyle(1,DRAW_LINE);
//----
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Relative Strength Index                                          |
//+------------------------------------------------------------------+
int start()
  {
   int    i,counted_bars=IndicatorCounted();
//----
   i=Bars-counted_bars-1;
   while(i>=0)
     {      

       Buffer[i]=    iMA(0,0,1,  0,0,method_price,i)*(-1);
      i--;
     }
      for(i = 0; i < Bars-counted_bars; i++)
      SignalBuffer[i] = iMAOnArray(Buffer, 0, per_dop_ma, 0, method_dop_ma, i);
//----
   return(0);
  }
//+------------------------------------------------------------------+